%define debug_package %{nil}

Summary:        Fast NTLM authentication proxy with tunneling
Name:           cntlm
Version:        0.92.3
Release:        %mkrel 6
License:        GPLv2
Group:          System/Networking
URL:            https://cntlm.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.service
Source2:        %{name}-tmpfiles.conf

BuildRequires:  gcc-c++

Requires(pre):      rpm-helper >= %{rpmhelper_required_version}
Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}
Requires(postun):   rpm-helper >= %{rpmhelper_required_version}

Provides:       cntlm = %{version}

%description
Cntlm is a fast and efficient NTLM proxy, with support for TCP/IP tunneling,
authenticated connection caching, ACLs, proper daemon logging and behaviour
and much more. It has up to ten times faster responses than similar NTLM
proxies, while using by orders or magnitude less RAM and CPU. Manual page 
contains detailed information.

%prep
%setup -q

%build			
%configure
%make_build SYSCONFDIR=%{_sysconfdir} \
             BINDIR=%{_sbindir} \
             MANDIR=%{_mandir}

%install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall SYSCONFDIR=%{buildroot}/%{_sysconfdir} \
             BINDIR=%{buildroot}/%{_sbindir} \
             MANDIR=%{buildroot}/%{_mandir}

install -D -m 755 %{SOURCE1} %{buildroot}/%{_unitdir}/cntlm.service
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc LICENSE README COPYRIGHT
%{_sbindir}/cntlm
%{_mandir}/man1/cntlm.1*
%{_unitdir}/cntlm.service
%config(noreplace) %{_sysconfdir}/cntlm.conf
%{_tmpfilesdir}/%{name}.conf



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.92.3-6.mga10
+ Revision: 2195572
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 0.92.3-5.mga9
+ Revision: 1792600
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.92.3-4.mga8
+ Revision: 1526888
- Mageia 8 Mass Rebuild

* Fri Jul 05 2019 wally <wally> 0.92.3-3.mga8
+ Revision: 1418778
- move pid file to /run/cntlm/ (mga#25050)

* Sun Sep 23 2018 umeabot <umeabot> 0.92.3-2.mga7
+ Revision: 1296633
- Mageia 7 Mass Rebuild

* Wed May 18 2016 matteo <matteo> 0.92.3-1.mga6
+ Revision: 1016597
- spec cleanup
- imported package cntlm

